import { ConfigService } from '@nestjs/config';
export declare function apiPrefix(config: ConfigService): string;
export declare function apiVersion(config: ConfigService): string;
export declare function apiRoute(config: ConfigService, ...parts: string[]): string;
export declare function apiPath(config: ConfigService, ...parts: string[]): string;
export declare function versionedApiRoute(config: ConfigService, ...parts: string[]): string;
export declare function versionedApiPath(config: ConfigService, ...parts: string[]): string;
export declare function docsRoute(config: ConfigService): string;
export declare function docsPath(config: ConfigService): string;
export declare function docsJsonPath(config: ConfigService): string;
export declare function docsYamlPath(config: ConfigService): string;
export declare function consoleLoginPath(config: ConfigService): string;
export declare function sandboxPath(config: ConfigService): string;
export declare function joinPath(...parts: string[]): string;
